<?php
require dirname(__FILE__).'/../../config/bootstrap.php';

define('READ',1);
define('ADD',2);
define('DEL',4);
define('MOD',8);
define('TRAD',16);
define('EXP',32);
define('EXPERT',64);

define('BACK_NAME','Dedi WebManager');
define('BACK_VERSION','2.0');
define('PHP','/usr/bin/php');


// Parametres
define('RESULTS_PAGE',25);
//define('DEBUG',0);
define('MULTI',1);
define('LANGUE',1);
define('LANGUE_ISO','FR');

// Divers
define('INACTIF',2);
define('ACTIF',1);
define('WAIT',3);

$_SESSION['langue_id'] = Langue::DEFAULT_LANGUE_ID;
$_SESSION['langue_ini'] = Langue::DEFAULT_LANGUE_INI;

/**
 * @deprecated
 * @see SiteSQL::SQL_NONE
 */
define('SQL_NONE', 1);
/**
 * @deprecated
 * @see SiteSQL::SQL_ALL
 */
define('SQL_ALL', 2);
/**
 * @deprecated
 * @see SiteSQL::SQL_INIT
 */
define('SQL_INIT', 3);

// define the query formats
/**
 * @deprecated
 * @see SiteSQL::SQL_ASSOC
 */
define('SQL_ASSOC', 1);
/**
 * @deprecated
 * @see SiteSQL::SQL_INDEX
 */
define('SQL_INDEX', 2);

spl_autoload_register(function ($class) {
    $file = __DIR__ . '/back/' . $class . '.class.php';
    if (file_exists($file)) {
        require $file;
    }
});

require_once dirname(__FILE__).'/common.inc.php';