<?php

use Phinx\Migration\AbstractMigration;

class InsertAvoir extends AbstractMigration
{
    public function up()
    {
        $avoir_statut = array(
            array('avoir_statut_id' => '1','avoir_statut_nom' => 'Remboursé'),
            array('avoir_statut_id' => '2','avoir_statut_nom' => 'Non Remboursé')
        );

        $this
            ->table('avoir_statut')
            ->insert($avoir_statut)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('avoir_statut')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
