<?php

namespace Event;

use Auth\Auth;
use Symfony\Component\EventDispatcher\Event;

class AuthEvent extends Event
{
    const LOAD = 'auth.load';

    protected $auth;

    public function __construct(Auth $auth)
    {
        $this->auth = $auth;
    }

    public function getAuth()
    {
        return $this->auth;
    }
}