<?php

use ProduitList\ProduitList;

class PanierSave extends ProduitList
{
    protected $typeId = 2;

    /**
     * @param Panier $panier
     * @param string $nom
     * @throws DediException
     */
    public function saveFromPanier(Panier $panier, $nom = '')
    {
        $this->client_id = $panier->getCustomer()->client_id;
        $this->produit_list_nom = (!empty($nom)) ? $nom : 'Panier du ' . date('d/m/Y H:i:s');

        $produits = $panier->getProducts();
        foreach ($produits as $produit) {
            $this->produits[] = $produit;
        }

        parent::save();
    }
} 