{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/saved_carts_id-->

    <div class="formAccount">
        <h1 class="titleLvl4">{$arrList.produit_list_nom}</h1>

        <div>{txt value="Date"} : {$arrList.produit_list_date_ajout|date_format:"%d/%m/%Y"}</div>
        <div>{txt value="Produit"}{if $arrList.total_qte > 1}s{/if} : {$arrList.total_qte}</div>
        <div>{txt value="Montant TTC"} : {price ht=$arrList.total_ht ttc=$arrList.total_ttc decorate=true}</div>
        <div>
            <a href="{url page="saved_carts_order" id=$arrList.produit_list_id}">{txt value="Commander"}</a>
            <a href="{url page="saved_carts_delete" id=$arrList.produit_list_id}">{txt value="Supprimer"}</a>
        </div>
        <br/>

        <table>
        {foreach from=$arrList.produits item=produit}
            <tr>
                <td>
                    {image src=$produit.produit_image alt=$produit.produit_nom_nom width=90 height=90 class="img-responsive"}
                </td>
                <td>
                    <a href="{url page="produit" id=$produit.produit_id produit_nom=$produit.produit_nom_nom}">
                        {$produit.produit_nom_nom}
                    </a>
                </td>
                <td>
                    {txt value="Prix Unitaire TTC"} : {price ht=$produit.produit_prix_ht ttc=$produit.produit_prix_ttc notag=true decorate=true}
                </td>
                <td>
                    {txt value="Quantité"} : {$produit.produit_list_produit_qte}
                </td>
                <td>{txt value="Prix TTC"} : {price ttc=($produit.produit_prix_ttc*$produit.produit_list_produit_qte) decorate=true}</td>
            </tr>
        {/foreach}
        </table>

        <div>{txt value="Total TTC"} : {price ttc=$arrList.total_ttc}</div>
        <div>{txt value="TVA "} : {price ttc=$arrList.total_ttc-$arrList.total_ht}</div>
    </div>
{/block}
