{extends file="product/product_abstract.tpl"}

<!--product/listing_wishlist-->

{block name="productbtndelete"}
    <form action="{{url page="delete_wishlist"}}" method="post">
        <input type="hidden" value="{$produit.produit_id}" name="produit_id">
        <button class="btn btnSecondary btnDelete" id="deleteProduit" href="">
            <span class="btnIcon">
                {include file="icons/croix.tpl"}
            </span>
            <span class="btnName sr-only">
                {txt value="Supprimer ce produit de mes favoris"}
            </span>
        </button>
    </form>
{/block}

{block name="productactions"}
    <div class="productActions">
        <form action="{url page="add_cart"}" method="post" name="form-add-cart" id="form-add-cart-{$produit.produit_id}" data-target="#modalAddNews">
            <input type="hidden" name="produit_id" value="{$produit.produit_id}" />
            {if !empty($produit.attrs)}
                <div class="productAttributes clearfix">
                    <div class="form-group">
                        <select class="selectpicker" name="produit_attribut_id">
                            <option value="" selected>Choisir la taille</option>
                            {foreach $produit.attrs as $attr}
                                <option value="{$attr.produit_option_valeur_id}">{$attr.produit_option_valeur_nom}</option>
                            {/foreach}
                        </select>
                    </div>
                </div>
            {else}
                <div class="productAttributes clearfix">
                    <div class="productAttributesText">
                        {txt value="Unique"}
                    </div>
                </div>
            {/if}

            {if $produit.prod_qte > 0 || ($produit.prod_qte <= 0 && $produit.prod_appro == 1 )}
                <div class="addTo">
                    <div class="row">
                        <div class="col-xs-12">
                            <button class="btn btnMain smaller wide" id="addProduit" type="submit" data-produit-id="{$produit.produit_id}">
                                {txt value="Ajouter au panier"}
                            </button>
                        </div>
                    </div>
                </div>
            {else}
                <div class="row">
                    <div class="col-xs-12">
                        <a class="btn btnSecondary smaller wide"
                           href="{url page="produit" produit_nom=$produit.produit_nom_nom id=$produit.produit_id}">{txt value="Voir ce produit"}</a>
                    </div>
                </div>
            {/if}
        </form>
    </div>
{/block}